ident {dplyr} | R Documentation

## Flag a character vector as SQL identifiers

### Description

`ident()` takes unquoted strings and flags them as identifiers. `ident_q()` assumes its input has already been quoted, and ensures it does not get quoted again. This is currently used only for for `schema.table`.

### Usage

    ident(...)

### Arguments

`...` | A character vector, or name-value pairs

### Examples

    # Identifiers are escaped with "
    if (requireNamespace("dbplyr", quietly = TRUE)) {
      ident("x")
    }

[Package dplyr version 0.8.0.1 Index]